Bug 35691 - XmlLayout should escape < and > in classnames
XmlLayout should escape < and > in classnames
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Layout
1.2
Other other
: P2 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-07-11 19:09 UTC by Rob Oxspring
Modified: 2005-07-21 16:12 UTC (History)
0 users



Attachments
The patch attempts to fix the problem by simply applying the same escaping mechanism to the classname as to the method name (854 bytes, patch)
2005-07-11 19:10 UTC, Rob Oxspring
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Oxspring 2005-07-11 19:09:27 UTC
We've stumbled across a scenario where the location information comes out with 
the method set to java and the classname ending with <init>.  The problem occurs
only after the first few calls to the constructors in question and we've only
seen it on Aix under IBM's jre 1.4.0 - the suspicion is that their JIT is
kicking in and messing the information up.  Obviously, with this problem in
place the likes of Chainsaw get very confused when trying to process the 'xml'.
Comment 1 Rob Oxspring 2005-07-11 19:10:26 UTC
Created attachment 15648 [details]
The patch attempts to fix the problem by simply applying the same escaping mechanism to the classname as to the method name

The patch attempts to fix the problem by simply applying the same escaping
mechanism to the classname as to the method name
Comment 2 Mark Womack 2005-07-11 19:54:44 UTC
1.2.12 candidate
Comment 3 Curt Arnold 2005-07-22 00:12:53 UTC
Applied fix in both v1_2-branch and CVS HEAD.  Was not able to formulate a test to check the fix.  The 
XMLLayout has other potential problems, but that is beyond the scope of what we should do in the log4j 
1.2 branch.